Vla-get-isrational

提供: GizmoLabs
移動先: 案内検索
構文
(vla-get-isrational vla-object )


機能
指定されたスプラインが有理スプラインかどうかを取得する。


引数
  • vla-object … SplineのVLAオブジェクト


戻り値
ブール型
  •  :vlax-True: 有理スプライン。
  •  :vlax-False: 有理スプラインではない。


サンプル
(vl-load-com)
(defun c:Example_IsRational()
    ;; Spline を作成して有理スプラインかどうかを見る
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; スプラインの定義
    (setq startTan (vlax-3d-point 0.5 0.5 0)
          endTan (vlax-3d-point 0.5 0.5 0)
          fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8)))
    (vlax-safearray-fill fitPoints '(0 0 0
				     5 5 0
				     10 0 0))
    ;; スプラインを作成する
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan))
    (vla-ZoomAll acadObj)
    
    ;; 有理スプラインかどうか取得
    (if (= (vla-get-IsRational splineObj) :vlax-true)
        (alert "あーこれは有理スプラインですわー")
        (alert "有理スプラインじゃなくね?")
    )
)

関連事項